# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}

# Handle the configuration files
for cf in $(find etc/dansguardian -name *.conf.new)
do
  config $cf
done

for file in  etc/rc.d/rc.dansguardian.new etc/logrotate.d/dansguardian.new ; do
  if [ -e $(dirname $file)/$(basename $file .new) -a -x $(dirname $file)/$(basename $file .new) ]; then
    chmod 755 $file
  else
    chmod 644 $file
  fi
  config $file
done

# Fix permissions of the log directory:
chown nobody:nobody var/log/dansguardian

